< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package throttle
  Definition Classes
    mongo
- ThrottleConfig
- WithThrottling

p

uk.gov.hmrc.mongo

# throttle 

#### package throttle

### Type Members

1.  class ThrottleConfig extends AnyRef

   Single instance to ensure same throttle is applied across all mongo queries

   Single instance to ensure same throttle is applied across all mongo queries

   Annotations
     @Singleton()
2.  trait WithThrottling extends AnyRef

### Ungrouped